al_get_display_orientation(3)

NAME

al_get_display_orientation - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_get_display_orientation(ALLEGRO_DISPLAY* display)

DESCRIPTION

Return the display orientation, which can be one of the following:

•   ALLEGRO_DISPLAY_ORIENTATION_UNKNOWN

•   ALLEGRO_DISPLAY_ORIENTATION_0_DEGREES

•   ALLEGRO_DISPLAY_ORIENTATION_90_DEGREES

•   ALLEGRO_DISPLAY_ORIENTATION_180_DEGREES

•   ALLEGRO_DISPLAY_ORIENTATION_270_DEGREES

•   ALLEGRO_DISPLAY_ORIENTATION_FACE_UP

•   ALLEGRO_DISPLAY_ORIENTATION_FACE_DOWN

SINCE

5.1.0